@charset "utf-8";

/* ------------------------------------------------------------------
    delta v component > column.css
    version : 20260331
* ------------------------------------------------------------------ */

.cmpnt-column__wrap{display:flex; max-width:1160px; margin:0 auto; padding:0 20px;}

.cmpnt-column__title{font-family:'HyundaiMedium'; line-height:1.3;}
.cmpnt-column__desc{font-family:'HyundaiTextRegular'; line-height:1.3;}
.cmpnt-column__media{overflow:hidden;position:relative;}
.cmpnt-column__media img,
.cmpnt-column__media video{width:100%;object-fit: cover;}
.cmpnt-column__media.autoplay-none .video-btn{position:absolute;top:0;left:0;width:100%;height:100%;background:url('/etc/designs/hyundai/ww/en/images/common/btn_video.png') no-repeat center / 60px 60px;z-index: 10;}
.cmpnt-column__caption{position:absolute;bottom:20px;left:15px;font-family:'HyundaiTextRegular';font-size:14px;line-height:1.2;}
.cmpnt-column__caption.text-align-r{left:auto;right:15px;}

@media print, screen and (min-width: 1024px) and (max-width: 20000px) {
    .cmpnt-column__wrap{justify-content:space-between;}
    .cmpnt-column__media + .cmpnt-column__title-wrap{margin-top:50px;}
    .cmpnt-column__title{min-height:78px; font-size:30px;}
    .cmpnt-column__title + .cmpnt-column__desc{margin-top:16px;}
    .cmpnt-column__desc{font-size:16px;}

    .layout-column2 .cmpnt-column__item{width:calc(50% - 16px);}
    .layout-column2 .cmpnt-column__media{width:100%;height:360px;aspect-ratio:68/45;}
    
    .layout-column3 .cmpnt-column__item{width:32%;max-width:351px;}
    .layout-column3 .cmpnt-column__media{width:100%;height:232px;aspect-ratio:351/232;}
}

@media screen and (min-width:0) and (max-width:1023px){
    .cmpnt-column__wrap{display:block; padding:0 15px;}

    .cmpnt-column__item + .cmpnt-column__item{margin-top:16px;}
    .cmpnt-column__media{aspect-ratio:180/119;}
    .cmpnt-column__media img,
    .cmpnt-column__media video{height:auto;aspect-ratio:180/119;}
    .cmpnt-column__media.autoplay-none .video-btn{background-size:30px 30px;}
    .cmpnt-column__caption{bottom:6px;left:6px;font-size:11px;}
    .cmpnt-column__caption.text-align-r{left:auto;right:6px;}

    .cmpnt-column__title-wrap{margin-top:20px;}
    .cmpnt-column__title{font-size:20px;}
    .cmpnt-column__title + .cmpnt-column__desc{margin-top:20px;}
    .cmpnt-column__desc{font-size:14px;}

    /* in section */
    .cmpnt-section__inner.layout-contents .cmpnt-column__wrap{padding:0;}
}